Release set savepoint

- « Session::quoteName

- Session::rollback »

- PHP Manual
- mysql_xdevapi\Session
- Release set savepoint

# Session::releaseSavepoint

(No version information available, might only be in Git)

Session::releaseSavepoint — Release set savepoint

### Description

public mysql_xdevapi\Session::releaseSavepoint(string `$name`): void

Release a previously set savepoint.

### Parameters

`name`

  Name of the savepoint to release.

### Return Values

An SqlStatementResult object.

### Examples

Example #1 mysql_xdevapi\Session::releaseSavepoint() example

    <?php$session    = mysql_xdevapi\getSession("mysqlx://user:password@localhost");$collection = $session->getSchema("addressbook")->getCollection("friends");$session->startTransaction();$collection->add( '{"test1":1, "test2":2}' )->execute();$savepoint = $session->setSavepoint();$collection->add( '{"test3":3, "test4":4}' )->execute();$session->releaseSavepoint($savepoint);$session->rollback();?>